%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate linux-raw-sys

Name:           rust-linux-raw-sys
Version:        0.6.4
Release:    1%{?dist}
Summary:        Generated bindings for Linux's userspace API

License:        Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
URL:            https://crates.io/crates/linux-raw-sys
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Generated bindings for Linux's userspace API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-Apache-2.0_WITH_LLVM-exception
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/ORG_CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+elf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+elf-devel %{_description}

This package contains library source intended for building other packages which
use the "elf" feature of the "%{crate}" crate.

%files       -n %{name}+elf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+errno-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+errno-devel %{_description}

This package contains library source intended for building other packages which
use the "errno" feature of the "%{crate}" crate.

%files       -n %{name}+errno-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+general-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+general-devel %{_description}

This package contains library source intended for building other packages which
use the "general" feature of the "%{crate}" crate.

%files       -n %{name}+general-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+if_ether-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+if_ether-devel %{_description}

This package contains library source intended for building other packages which
use the "if_ether" feature of the "%{crate}" crate.

%files       -n %{name}+if_ether-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+if_packet-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+if_packet-devel %{_description}

This package contains library source intended for building other packages which
use the "if_packet" feature of the "%{crate}" crate.

%files       -n %{name}+if_packet-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io_uring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io_uring-devel %{_description}

This package contains library source intended for building other packages which
use the "io_uring" feature of the "%{crate}" crate.

%files       -n %{name}+io_uring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ioctl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ioctl-devel %{_description}

This package contains library source intended for building other packages which
use the "ioctl" feature of the "%{crate}" crate.

%files       -n %{name}+ioctl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mempolicy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mempolicy-devel %{_description}

This package contains library source intended for building other packages which
use the "mempolicy" feature of the "%{crate}" crate.

%files       -n %{name}+mempolicy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+net-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+net-devel %{_description}

This package contains library source intended for building other packages which
use the "net" feature of the "%{crate}" crate.

%files       -n %{name}+net-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+netlink-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+netlink-devel %{_description}

This package contains library source intended for building other packages which
use the "netlink" feature of the "%{crate}" crate.

%files       -n %{name}+netlink-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_std-devel %{_description}

This package contains library source intended for building other packages which
use the "no_std" feature of the "%{crate}" crate.

%files       -n %{name}+no_std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prctl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prctl-devel %{_description}

This package contains library source intended for building other packages which
use the "prctl" feature of the "%{crate}" crate.

%files       -n %{name}+prctl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+system-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+system-devel %{_description}

This package contains library source intended for building other packages which
use the "system" feature of the "%{crate}" crate.

%files       -n %{name}+system-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xdp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xdp-devel %{_description}

This package contains library source intended for building other packages which
use the "xdp" feature of the "%{crate}" crate.

%files       -n %{name}+xdp-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.4-1
- initial build
